PVIMG-TEST(1)

NAME
pvimg-test - Test different aspects of an existing IBM Secure Execution image

SYNOPSIS
pvimg test <--host-key-document <FILE>|--key-hashes[=<FILE>]> <INPUT>

DESCRIPTION
Test different aspects of an existing IBM Secure Execution image

OPTIONS

<INPUT>
    Use INPUT as the Secure Execution image.

-k, --host-key-document <FILE>
    Use FILE to check for a host key document. Verifies that the image contains the host key hash of one of the specified host keys. The check fails if none of the host keys match the hash in the image. This parameter can be specified multiple times. Mutually exclusive with --key-hashes.

--key-hashes[=<FILE>]
    Use FILE to check for the host key hashes provided by the ultravisor. If no FILE is specified, FILE defaults to /sys/firmware/uv/keys/all. The default file is only available if the local system supports the Query Ultravisor Keys UVC. Verifies that the image contains the host key hash of one of the specified hashes in FILE. The check fails if none of the host keys match a hash in the response. Mutually exclusive with --host-key-document.

-h, --help
    Print help (see a summary with -h).

EXIT STATUS

0 - Program finished successfully
    The command was executed successfully.

1 - Generic error
    Something went wrong during the operation. Refer to the error message.

2 - Usage error
    The command was used incorrectly, for example: unsupported command line flag, or wrong number of arguments.

SEE ALSO

pvimg(1) zipl(8) qemu(1)